Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000025 [Both Evo and DBA Classic] tweak always 2008-11-04 16:39 2016-11-02 13:26
Reporter kevind View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0000025: Opening a closed SO to view it leaves the SO open even if you exit without saving changes
Description When a closed SO is selected in SO-A, a dialog box displays that says "this SO is closed. Do you want to reopen it?". Clicking yes allows you to view the order, but it also SAVES the fact that you have opened it. You then must SAVE the SO, which displays the message "This SO has no line items with unbilled quantities and no freight or tax charges. Do you wish to close it?". Answering YES to this will then SAVE the fact that the order is closed.
Additional Information This logic kind of goes around the bush. It would make more sense if answering YES to do you want to open the order would NOT SAVE the fact that the order is now open to the database. Instead, only save that the order is now open if "SAVE SO" is clicked and the user answers NO to the "This SO has no line items with unbilled quantities and no freight or tax charges. Do you wish to close it?" question.
Tags No tags attached.
Enhancement Date 1219035600
Error Message none
Program Name SO-A (Classic 8/18/08) (EVO 07/08/08)
Repeatable in Test Company
Attached Files

- Relationships

-  Notes
(0000016)
lpantic (administrator)
2008-11-05 11:16

This is already addressed by an SD-Q setting - "Reopen Closed SO (Y/N/V/P)". Y or blank works as this report describes; N does not allow going back into closed SO; V allows View Only and P means it can be viewed and a Password is required to reopen.
(0000025)
kevind (reporter)
2008-11-07 15:44

This Report is with regard to this option set to 'Y' or blank. In this mode of operation, it would more intuitive if saving the SO would leave it in the open state and Exiting without saving would leave it in the closed state.
(0000026)
lpantic (administrator)
2008-11-07 16:10

I don't disagree but our overall philosophy has been when adding a default switch to potentially change the way the program works, that leaving the setting blank does not change the program operation that people are accustomed to. Making the "Y" setting behave as you describe is something we can look into.
(0000027)
kevind (reporter)
2008-11-10 14:44
edited on: 2008-11-11 09:32

No argument there. I would like 'Y' to behave as I have outlined. Thank you.

(0000038)
user20
2008-12-09 11:25

To NOT Save should mean to return to status quo ante (I didn't know I remembered that) = Closed, like kevind says. Also, Blank setting should always = no change. So ideal would be Y works as kevind suggests. But I'd have to give this a low priority.
(0000042)
lpantic (administrator)
2008-12-11 20:46

I think this might make everybody happy (except the programmers who would have to do some work)

What if the question asked was (regardless of SD-Q setting) "This order is closed. Do you want to Reopen or View?" If you respond View, you can see the order but when you get out, it will remain closed. If you respond Reopen, it will check SD-Q to see if a password iss required to reopen.
(0000047)
kevind (reporter)
2008-12-15 15:25

I like the " ... Reopen or View ..." Question proposed.
I also consider this a low priority.

- Issue History
Date Modified Username Field Change
2008-11-04 16:39 kevind New Issue
2008-11-04 16:39 kevind Banner Date => 1219035600
2008-11-04 16:39 kevind Error Message => none
2008-11-04 16:39 kevind Program Name => SO-A (Classic 8/18/08) (EVO 07/08/08)
2008-11-05 11:16 lpantic Note Added: 0000016
2008-11-05 11:17 lpantic Status new => resolved
2008-11-05 11:17 lpantic Resolution open => no change required
2008-11-07 15:44 kevind Note Added: 0000025
2008-11-07 15:44 kevind Status resolved => feedback
2008-11-07 15:44 kevind Resolution no change required => reopened
2008-11-07 16:10 lpantic Note Added: 0000026
2008-11-10 14:44 kevind Note Added: 0000027
2008-11-11 09:32 kevind Note Edited: 0000027
2008-12-09 11:25 user20 Note Added: 0000038
2008-12-11 20:46 lpantic Note Added: 0000042
2008-12-15 15:25 kevind Note Added: 0000047
2009-08-25 12:24 ISTech Status feedback => resolved
2016-11-02 13:26 ISTech Resolution reopened => fixed


Mantis 1.1.2[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker